## g_traj

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_traj plots coordinates, velocities, forces and/or the box. With `-com` the coordinates, velocities and forces are calculated for the center of mass of each group. When `-mol` is set, the numbers in the index file are interpreted as molecule numbers and the same procedure as with `-com` is used for each molecule.

Option `-ot` plots the temperature of each group, provided velocities are present in the trajectory file. No corrections are made for constrained degrees of freedom! This implies `-com`.

Options `-ekt` and `-ekr` plot the translational and rotational kinetic energy of each group, provided velocities are present in the trajectory file. This implies `-com`.

Options `-cv` and `-cf` write the average velocities and average forces as temperature factors to a pdb file with the average coordinates. The temperature factors are scaled such that the maximum is 10. The scaling can be changed with the option `-scale`. To get the velocities or forces of one frame set both `-b` and `-e` to the time of desired frame. When averaging over frames you might need to use the `-nojump` option to obtain the correct average coordinates.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-ox` | `coord.xvg` | Output, Opt. | xvgr/xmgr file
`-ov` | `veloc.xvg` | Output, Opt. | xvgr/xmgr file
`-of` | `force.xvg` | Output, Opt. | xvgr/xmgr file
`-ob` | `box.xvg` | Output, Opt. | xvgr/xmgr file
`-ot` | `temp.xvg` | Output, Opt. | xvgr/xmgr file
`-ekt` | `ektrans.xvg` | Output, Opt. | xvgr/xmgr file
`-ekr` | `ekrot.xvg` | Output, Opt. | xvgr/xmgr file
`-cv` | `veloc.pdb` | Output, Opt. | Protein data bank file
`-cf` | `force.pdb` | Output, Opt. | Protein data bank file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-tu` | enum | `ps` | Time unit: `ps`, `fs`, `ns`, `us`, `ms`, `s`, `m` or `h`
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-[no]com` | bool | `no` | Plot data for the com of each group
`-[no]mol` | bool | `no` | Index contains molecule numbers iso atom numbers
`-[no]nojump` | bool | `no` | Remove jumps of atoms across the box
`-[no]x` | bool | `yes` | Plot X-component
`-[no]y` | bool | `yes` | Plot Y-component
`-[no]z` | bool | `yes` | Plot Z-component
`-[no]len` | bool | `no` | Plot vector length
`-scale` | real | `0` | Scale factor for pdb output, 0 is autoscale

http://www.gromacs.org
gromacs@gromacs.org